summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Niels Horn <niels.horn@gmail.com>2010-11-26 00:04:15 +0100
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-11-26 00:04:15 +0100
commitcd5a7f3569d0853d07c270373dec3b09b25adba9 (patch)
treeda919425fdb6d6b86a96b08a515675eacaa3cf49
parent47f69385d777c3a4b73b2c815a2fe669853d4504 (diff)
downloadslackbuilds-cd5a7f3569d0853d07c270373dec3b09b25adba9.tar.gz
slackbuilds-cd5a7f3569d0853d07c270373dec3b09b25adba9.tar.xz
system/cdemu-tray: Added. (cdemu client)
Signed-off-by: Heinz Wiesinger <pprkut@slackbuilds.org>
-rw-r--r--system/cdemu-tray/README1
-rw-r--r--system/cdemu-tray/cdemu-tray.SlackBuild78
-rw-r--r--system/cdemu-tray/cdemu-tray.desktop10
-rw-r--r--system/cdemu-tray/cdemu-tray.info10
-rw-r--r--system/cdemu-tray/doinst.sh4
-rw-r--r--system/cdemu-tray/slack-desc19
6 files changed, 122 insertions, 0 deletions
diff --git a/system/cdemu-tray/README b/system/cdemu-tray/README
new file mode 100644
index 0000000000..163e35dfce
--- /dev/null
+++ b/system/cdemu-tray/README
@@ -0,0 +1 @@
+cdemu-tray is a simple cdemu client written in c using dbus-glib and gtk+
diff --git a/system/cdemu-tray/cdemu-tray.SlackBuild b/system/cdemu-tray/cdemu-tray.SlackBuild
new file mode 100644
index 0000000000..563c4f6b3c
--- /dev/null
+++ b/system/cdemu-tray/cdemu-tray.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for cdemu-tray
+# gtk client for cdemu-daemon
+
+# Written by Niels Horn <niels.horn@gmail.com>
+# Revision date: 2010/10/30
+
+PRGNAM=cdemu-tray
+VERSION=${VERSION:-0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+GROUP=${GROUP:-cdrom}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+rw,go+r-w .
+
+# Alter Makefile so we can use CFLAGS
+sed -i "s/CFLAGS =/CFLAGS +=/" Makefile
+
+CFLAGS=$SLKCFLAGS \
+make
+
+# "Install" program
+mkdir -p $PKG/usr/bin
+install cdemu-tray $PKG/usr/bin
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/cdemu-tray.desktop > $PKG/usr/share/applications/cdemu-tray.desktop
+cat gcdemu-old.png > $PKG/usr/share/pixmaps/cdemu-tray.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS COPYING README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/cdemu-tray/cdemu-tray.desktop b/system/cdemu-tray/cdemu-tray.desktop
new file mode 100644
index 0000000000..39c58c32b5
--- /dev/null
+++ b/system/cdemu-tray/cdemu-tray.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Name=CDEmu tray
+Comment=Client for cdemu
+Exec=cdemu-tray
+Icon=cdemu-tray
+Terminal=false
+Categories=System;
+
diff --git a/system/cdemu-tray/cdemu-tray.info b/system/cdemu-tray/cdemu-tray.info
new file mode 100644
index 0000000000..97e9a2f9d2
--- /dev/null
+++ b/system/cdemu-tray/cdemu-tray.info
@@ -0,0 +1,10 @@
+PRGNAM="cdemu-tray"
+VERSION="0.2"
+HOMEPAGE="http://desowin.org/cdemu-tray/"
+DOWNLOAD="http://desowin.org/cdemu-tray/cdemu-tray-0.2.tar.bz2"
+MD5SUM="db3978b23935f933ca9a2e25b3aff505"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"
+APPROVED="pprkut"
diff --git a/system/cdemu-tray/doinst.sh b/system/cdemu-tray/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/system/cdemu-tray/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/system/cdemu-tray/slack-desc b/system/cdemu-tray/slack-desc
new file mode 100644
index 0000000000..153f90fbb7
--- /dev/null
+++ b/system/cdemu-tray/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cdemu-tray: cdemu-tray (cdemu client)
+cdemu-tray:
+cdemu-tray: cdemu-tray is a simple cdemu client written in c using dbus-glib and
+cdemu-tray: gtk+
+cdemu-tray:
+cdemu-tray: Homepage: http://desowin.org/cdemu-tray/
+cdemu-tray:
+cdemu-tray:
+cdemu-tray:
+cdemu-tray:
+cdemu-tray: